Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC1_MetaClass

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_MetaClass

All Implemented Interfaces:
  `StructConverter`

public class ObjectiveC1_MetaClass extends Object implements StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyTo()`
  `int`
  `getCache()`
  `int`
  `getInfo()`
  `int`
  `getInstanceSize()`
  `ObjectiveC1_InstanceVariableList`
  `getInstanceVariableList()`
  `String`
  `getISA()`
  `ObjectiveC1_MethodList`
  `getMethodList()`
  `String`
  `getName()`
  `ObjectiveC1_ProtocolList`
  `getProtocols()`
  `String`
  `getSuperClass()`
  `int`
  `getUnknown0()`
  `int`
  `getUnknown1()`
  `int`
  `getVersion()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getISA

    public String getISA()

  - ### getSuperClass

    public String getSuperClass()

  - ### getName

    public String getName()

  - ### getVersion

    public int getVersion()

  - ### getInfo

    public int getInfo()

  - ### getInstanceSize

    public int getInstanceSize()

  - ### getInstanceVariableList

    public ObjectiveC1_InstanceVariableList getInstanceVariableList()

  - ### getMethodList

    public ObjectiveC1_MethodList getMethodList()

  - ### getCache

    public int getCache()

  - ### getProtocols

    public ObjectiveC1_ProtocolList getProtocols()

  - ### getUnknown0

    public int getUnknown0()

  - ### getUnknown1

    public int getUnknown1()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### applyTo

    public void applyTo() throws Exception
    Throws:
      `Exception`